Archive a queue no live flow routes into
POST
/v1/workspace/contact-center/queues/{queue_id}/archive
const url = 'https://api.vocapable.com/v1/workspace/contact-center/queues/example/archive';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expected_revision":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/contact-center/queues/example/archive \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expected_revision": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”queue_id
required
Queue Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CcQueueArchive
object
expected_revision
required
Expected Revision
integer
Examplegenerated
{ "expected_revision": 1}Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}